/* Dark mode adjustment */
@media (prefers-color-scheme: dark) {
    body {
        background-color: #000000;
        color: #ffffff; /* Ensure text is visible */
    }
}

/* Adjustments for screens wider than 600px */
@media only screen and (min-width: 600px) {
    #pageMeditation {
        font-size: 1.5rem !important; 
        line-height: 2.3rem !important;
    }
    
    #openscreen {
        border-top-left-radius: 30px; 
        border-top-right-radius: 30px; 
    }
    
    .greetings {
        font-size: 1.5rem !important; 
        line-height: 2.3rem !important; 
    }
    
    #pageMeditation .header2 {
        text-shadow: 2px 2px 2px #000000 !important;  
        font-size: 2.1rem !important; 	
    }
}

/* Base styles */
html, body {
    height: 100%;
    background-color: #000; 
    font-size: 20px;
    max-height: 100lvh;
    
    padding-bottom: 0 !important;
    margin-bottom: 0 !important;
   
}

@supports (padding-bottom: env(safe-area-inset-bottom)) {
    body, #flipz {
      padding-bottom: 0 !important;
      margin-bottom: 0 !important;
    }
  }


body {

    perspective: 1700px;
    -webkit-perspective: 1700px;
    -webkit-transform: translateZ(1700px);
}


@media (display-mode: fullscreen) {
    body {
        padding: 0; 
    }
}

/* Hide scrollbars */
::-webkit-scrollbar {
    display: none !important;
}



img { border-radius: 1em; }

canvas  { border-radius: 1em; }

.url {
    font-family: sans-serif; 
    color: #f6d520; 
    position: absolute; 
    letter-spacing: 1px;
    display: inline;
    font-weight:normal;
    font-size: 0.6em;
    text-shadow: 1px 1px 1px #000000; 

}
.titleXSmall {
  text-shadow: 1px 1px 1px rgba(0,0,0,1);
  filter: drop-shadow(1px 1px 5px #000000);
}
.titleSmall {
  text-shadow: 2px 2px 2px rgba(0,0,0,1);
  filter: drop-shadow(3px 3px 10px #000000);
}
.titleBig {
  text-shadow: 4px 4px 4px rgba(0,0,0,1);   
  filter: drop-shadow(5px 6px 20px #000000);
}

.titlefont {
    
    font-family: 'Noto Serif';
    color: #f0da68 !important;
    transform: scaleX(0.95);
    position: relative;
    line-height: 0.99;
    text-align: center;
   transform: scaleX(0.95);
    
   font-weight: 500;

    margin-bottom: 30%;
   
}


.titlefont2 {

    font-family: 'Noto Serif'; 
    color: #f0da68 !important;
    /*font-weight:500; */
    /*transform: scaleX(0.95);*/
    position: relative;
    /*line-height: 0.99;*/
    text-align: center; 

    text-shadow: 3px 3px 3px rgba(0,0,0,1);

     margin-bottom: 30%;
}

 .padding-top-60 {
            padding-top: 60%;
        }

#img1bb, #img2bb, #img3bb, #img71bb, #img72bb, #img1b, #img2b, #img3b, #img60b, #img59b {

    align-items: center !important; 
    justify-content: center !important; 
}

.divcaro > * {
    margin-top: auto;
}

.divcaro {
   
    height: 100% !important;
    width:100% !important;
    background-size: cover !important;  
    align-items: center !important; 
    
    -webkit-box-shadow: -1px 6px 15px -2px rgba(0,0,0,0.74);
    -moz-box-shadow: -1px 6px 15px -2px rgba(0,0,0,0.74);
    box-shadow: -1px 6px 15px -2px rgba(0,0,0,0.74);
   
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
}

a img.whiteshadow {
   box-shadow: 0 0 10px 2px white;
   max-width: 200px !important;
    margin-bottom: 10px;
   margin-top:10px;
}

.fadetitle {
    opacity: 0;
    transition: opacity 2s;
}

.fadetitle.visible {
    opacity: 1;
}
#fade {
    display: flex;
    flex-direction: column;
    justify-content: flex-end; 
}

#menutoggle {
    
    border-top-left-radius: 0 !important; 
    border-top-right-radius: 0 !important; 
}
 #openscreen {
         border: 0 !important; 
        
    }

#flip {	
    
    z-index: 14 !important;

    text-align:center;
    position: absolute;
    background-size: contain;
    background-size: cover;
    border-radius: 1em;
    margin: auto;
    left: 0; 
    right: 0; 
    margin-left: auto; 
    margin-right: auto; 

    display: flex;
    flex-direction: column;
    justify-content: flex-end;

}

#flip2 {

    border-radius: 1em;
    text-align:center;
    position: absolute;
    display: flex;
    flex-direction: column;
    justify-content: flex-end; 
}


/* The animated element */
.slide-up {
  animation: slideUp 0.8s ease-out forwards;
}

/* Keyframes for sliding the element from bottom to top */
@keyframes slideUp {
  0% {
    transform: translateY(100%);
    opacity: 0;
  }
  100% {
    transform: translateY(0);
    opacity: 1;
  }
}



#flipz {

      

            position: absolute;
            bottom: 0;
            left: 0;
            right: 0;
            width: 100%; /* set a fixed or percentage width less than 100% */
            max-width: 400px;
            margin: 0 auto;
            z-index: 50;
            height: auto;
            overflow: hidden;
}

#askButton, #askButtonx {
    font-weight: normal !important;
    padding-top:1px;
    padding-left:15px;
    padding-right:15px;
  
    border:1px solid white;
}

#question1{
    margin-top:7px;
    margin-bottom:7px;
}

#question1, #question2, #question3, #question4, #question5, #question6 {
    
    font-size:20px;
    color: #000000;
    width: 70%;
    max-width: 400px;

}

#continuebutton {
   
    max-width: 300px !important;
    font-size:1.2rem ;	
   
    padding-top: 12px !important;
    padding-bottom: 20px !important;
}


.flipshadow {
    box-shadow: 0px 0px 79px 0px rgba(0,0,0,0.75) inset;
-webkit-box-shadow: 0px 0px 79px 0px rgba(0,0,0,0.75) inset;
-moz-box-shadow: 0px 0px 79px 0px rgba(0,0,0,0.75) inset;
      
}

#spinR1, #spinR1X  {
    
    border-radius: 40px !important;
    margin: auto;
    position: absolute;
    margin-left: auto; 
    margin-right: auto; 
       
}

#spinR1b{ 
   
    margin: auto;
    position: absolute;
    margin-left: auto; 
    margin-right: auto; 
}
#spinR1 img {
  border-radius: 40px !important;    
}
.mirror img {
  border-radius: 40px !important;    
}
.mirror {
  border-radius: 40px !important;    
}
#icons img {
	position:relative;
	padding:3px;
    width: 50px;
    height: 50px;
    margin:2px;
    margin-left: auto; 
    margin-right: auto; 
    border-radius: 7px !important;   
}
.icons2 {
	position:relative;
	padding:3px;
    width: 45px;
    height: 45px;
    margin:2px;
    margin-left: auto; 
    margin-right: auto; 
     border-radius: 15px !important;
}
#icons {
    text-align:center;
    display:none;
    margin-left: auto; 
    margin-right: auto; 
    position:relative;
    height: 100px !important;
    width:100% !important;
     border: none !important;
}

.greetings {
 
    text-shadow: 4px 4px 4px rgba(0,0,0,1);   
    filter: drop-shadow(5px 6px 20px #000000);
    color: #f0da68 !important;
    font-family: 'Noto Serif'; 
    padding-left:30px;
    padding-right:30px;
    font-size:1.2rem;
	font-weight: normal;
   
}




.hc {height:100px !important;}

#buttons {
    display:none;
    margin: 0 auto;
    position: absolute;
    z-index:16;
    text-align: center;
    margin: auto;
    left: 0; 
    right: 0; 
    margin-left: auto; 
    margin-right: auto; 
    height: 100%; 
    top: 0;
    bottom: 0;
   
}

.mbuttons {
    left: 50%;
    transform:translateX(-50%); 
    display:none;  
    z-index:14;
    position:absolute; 
    vertical-align: middle;    
}



.autofit {
    position: relative;
    left: 0;
    display:inline;
    height:auto;
}

.b {font-weight:bold;}

.page {
    float:right; 
    padding-right:10%;
   
}

#open1, #open1X {
    display:block;
    margin: auto;
    position: absolute;
    left: 0; 
    right: 0; 
    margin-left: auto; 
    margin-right: auto; 
    top: 0;
    bottom: 0;
    z-index:0;
   
}

#open2, #open3, #open4, #open4x, #open5, #open6, #open7,#open8 {
    
   
    overflow: hidden;
    margin: auto;
    position: absolute;
    left: 0; 
    right: 0; 
    margin-left: auto; 
    margin-right: auto; 
    top: 0;
    bottom: 0;
}

#open3, #open4 {
z-index: 3 !important;
     will-change: transform;
}
#open4x {
z-index: 4 !important; 
}
#open2{
z-index: 2 !important;
}
#open7{
    border-radius: 1em;
    z-index: 6 !important;
   
}
#open8{
    z-index: 1000 !important;
   
}

#demo1, #demo {
    margin: auto;
    position: absolute;
    left: 0; 
    right: 0; 
    margin-left: auto; 
    margin-right: auto; 
    height:auto;
    top: 0;
    bottom: 0;
    z-index:15;
    border-radius: 1em;
}
#demo1title, #demotitle {
    display:none;
    margin: auto;
    position: absolute;
    left: 0; 
    right: 0; 
    margin-left: auto; 
    margin-right: auto; 
    height:auto;
    top: 0;
    bottom: 0;
    z-index:18;
    border-radius: 1em;
    background-size: cover;
   
    flex-direction: column;
    justify-content: flex-end;

}

.slide {
    margin: auto;
    position: absolute;
    left: 0; 
    right: 0; 
    margin-left: auto; 
    margin-right: auto; 
    height: 100%;
    top: 0;
    bottom: 0;
    z-index:5;		
}

div.absolute {
    padding-left:25px;
    padding-right:25px;
    position: absolute; 
    bottom: 60px;
} 



 .cursivetext {
    font-size:1.6rem;
	font-family: 'Marck Script', cursive;
 }

.button2 {
    color: white;
    padding: 7px;
    font-size: 20px !important;
    border:1px solid #999999;
    background: rgba(36, 46, 28, 0.9);  
    border-radius: 6px;
    margin:0;
}



.myButtonDonation {   
	box-shadow:inset 0px 0px 15px 3px #b54b3a;  /* scheme */
	border:2px solid yellow;    /* scheme */
    background: rgba(36, 46, 28, 0.8);   /* scheme */
	color: white;	 /* scheme */
	text-shadow:0px 1px 0px #7a2a1d;    /* scheme */
    
    text-align:center;
    font-size:1rem;	
	font-family: 'Noto Sans', sans-serif;
    font-weight:bold;

    margin-top:20px;
    margin-bottom:11px;
    margin-left:8px;
	border-radius:17px;
	display:inline-block;
	cursor:pointer;
	padding:6px 10px;
	text-decoration:none; 
}
.header2 {   
    text-shadow: 1px 1px 1px #000000;
     color:#fdc416 !important;    
    font-size:1.5rem;	
	font-family: 'Marck Script', cursive;
}

#ucode {
    position: relative;
    display:block;  /* set to none for iOS and block for Android deployment */
}

#ucode a {
    color: white !important;
}
#showcode a {
     color: #5DADE2 !important;
}
#showcode {
    display:none;
    position: relative;
}

#pageMeditationSpan {  /* scheme */
    
    width:100%;
    padding-top: 1em;
    font-size:2.3em !important;
    position: fixed;
    z-index: 17 !important;
    color:#fdc416 !important;
    text-shadow: 2px 2px 1px #000000 !important;   
    line-height: 1em;	
    font-family: 'Marck Script', cursive;
    text-align:center; 
    left: 50%;
    transform: translateX(-50%);
}


.pageMeditationGoddess {  /* scheme */
    

    font-size:1.6em !important;
    position: relative;

    color:#fdc416 !important;
    text-shadow: 2px 2px 1px #000000 !important;   
    line-height: 1em;	
    font-family: 'Marck Script', cursive;
    text-align:center; 
  
    
}
#pageMeditationGoddess2 {  /* scheme */
    
    display:block;
    position: relative;
    color:#333333 !important;

    background: rgba(255,255,255, 0.8);  
    line-height: 1.4em;	
    font-size:1.1rem;	
    font-family: 'Noto SansLT2', sans-serif;
    text-shadow: none;
    text-align:center; 
    padding: 15px;
    border-radius: 15px;
    
    
}


 #pageSpread { 
    color: #faedc5 !important;
    background: none !important;		
    font-size:1.2rem;	
    font-family: 'Noto SansLT2', sans-serif;
    overflow-y:scroll;
    margin: auto;
    
    left: 0; 
    right: 0; 
    margin-left: auto; 
    margin-right: auto;  
   
    text-align:center;
    z-index:5;
    position: absolute;
  
  display: flex !important; 
     
     flex-direction: column !important;
  justify-content: center !important; 
  align-items: center !important; 

 
}

.row {
    
    display: flex !important; 
  justify-content: center !important; 
  align-items: center !important; 
}

.shadowsp {
    
     -webkit-box-shadow: -1px 6px 15px -2px rgba(0,0,0,0.74);
    -moz-box-shadow: -1px 6px 15px -2px rgba(0,0,0,0.74);
    box-shadow: -1px 6px 15px -2px rgba(0,0,0,0.74);
}

#imgsp1, #imgsp2, #imgsp3, #imgsp4, #imgsp5 {
    
    -webkit-box-shadow: -1px 6px 15px -2px rgba(0,0,0,0.74);
    -moz-box-shadow: -1px 6px 15px -2px rgba(0,0,0,0.74);
    box-shadow: -1px 6px 15px -2px rgba(0,0,0,0.74);
    
  text-align: center; /* Optional: for text alignment */
 
    display:none;
    position:relative;
    z-index: 6;
}

#sp1, #sp2, #sp3, #sp4, #sp5 {
    

   border-radius: 18px; 
  margin:5px 5px; /* Space between children */
  text-align: center; 
 
    display:none;
    position:relative;
    
      justify-content: center !important; 
  align-items: center !important; 
    z-index: 5;
}

.divcaro, ,spx > * {
    margin-top: auto;
}
.spx {
    
    display:flex !important; 
    height:100%;
   
    flex-direction: column;
    justify-content: flex-end;
}

#spreset {
    display:none;
    
    
}

#pageP {
  display: none;
}


#splink {
  display:none;
  position: absolute;
  bottom: 25px;
  height: auto;
  width: auto;
  padding:10px 15px !important;
  text-align: center;
  z-index: 16 !important;
}

#checke {
    
   
    width: 320px !important;
    border-radius: 18px; 
    display:none;
    position: absolute;
    top:90px;
    height: auto;
    width: auto;
    padding:10px 15px !important;
    text-align: center;
    z-index: 16 !important;
    
  background-image: url('images/png/anim/checke-bg.jpg');
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  
/*background: rgb(253,254,243);
background: radial-gradient(circle, rgba(253,254,243,1) 16%, rgba(153,212,130,1) 100%); */
    
    color:black !important;
    font-weight: normal;
    
    
        left: 50%;
        margin-left: -180px; /* Negative half of width */
        
    
    font-size:1rem;	
    font-family: 'Noto SansLT2', sans-serif;
    border: 1px solid gray;
    text-shadow: 1px 1px 0px #000000;
    
    box-shadow: 3px 6px 5px 2px rgba(102,48,6,0.87);
-webkit-box-shadow: 3px 6px 5px 2px rgba(102,48,6,0.87);
-moz-box-shadow: 3px 6px 5px 2px rgba(102,48,6,0.87);
}



.freebold {
    font-weight: bolder !important;
    color: #0f43d4;
    font-size:0.9rem;
    text-shadow: 1px 1px 0px red;  
}

#pmark1, #pmark2, #pmark3, #pmark4, #pmark5, #pmark6, #pmark7 {
    position:absolute;
    font-size: 1rem;
    display:inline;
    top: -3px;
    right: 7px;
    text-shadow: 2px 2px 1px #000000;
    transform: rotate(10deg);
    color:#fdc416 !important;    
	font-family: 'Marck Script', cursive;
}

#questionsleft1, #questionsleft2, #questionsleft3, #questionsleft4, #questionsleft5 {
   
    font-size: 1.2rem;
    display:inline;
   line-height: normal;
    text-shadow: 2px 2px 1px #000000;
    
    color:#fdc416 !important;    
	font-family: 'Marck Script', cursive;
}

#goddessdd {
  background-image: linear-gradient(to top, white, transparent);
    position:absolute;
    height:400px;
    bottom: -50px;
       width:90%;
     color: black !important;
    font-weight: bold;
    font-size:20px;
    line-height: 24px;
     display: flex;
  flex-direction: column; 
  justify-content: flex-end; 
    border-radius: 20px;
    text-shadow: none;
}

#goddessdd2 {
    padding-bottom:70px; 
    margin-bottom:60px;
    color: black !important;
    position:relative;
    width:100%;
}
#goddessdd3 {
    padding-bottom:70px; 
    margin-bottom:60px;
   
    position:relative;
    width:100%;
}

#askinfo {
   margin:15px 0;
    font-size:18px;
}

#donate3 {
    
    padding-top: 7px !important; 
    padding-left: 10px; 
    padding-right: 10px;
    margin-top:5px;
    margin-bottom:20px; 
    margin-left:auto; 
    margin-right:auto; 
    max-width:300px; 
}


.langnote{
    
    font-size:auto;	
    font-family: 'Noto SansLT2', sans-serif;
	text-align:center;
    position: relative;
    display:block;
    color: #faedc5 !important;
	padding: 10px;
	background: #314d2f; 
    border:1px solid black;

    border-radius: 30px;
	-webkit-border-radius: 30px;
    
    box-shadow: 3px 6px 19px 2px rgba(0,0,0,0.87);
-webkit-box-shadow: 3px 6px 19px 2px rgba(0,0,0,0.87);
-moz-box-shadow: 3px 6px 19px 2px rgba(0,0,0,0.87);
	

}

.small2 {
    
   text-decoration:none;
   color:#6495ED !important; 
}

#pageP {
  display: none;
}

.paypal-checkout-iframe, .paypal-checkout-sandbox-iframe {
    
    
    padding-top: 40px !important;
}

#paypal-form-fields-container-Y3YKVTK3R4L94 {
    
    display:none;
}

.paypal-button-number-2   {
    
    display:none !important;
}

#paypalModal {
    position: relative; /* Ensure the container is positioned relatively */
    color: #faedc5 !important;
    border-radius: 5px;
    margin: 5px;
    background-color:transparent !important;
}

#paypalModal::after {
    content: '';
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 60%; /* Covers the bottom 60% */
    background: linear-gradient(to top, rgba(214, 244, 207, 0.8) 0%, rgba(214, 244, 207, 0) 100%);
    border-bottom-left-radius: 5px; /* Match the border radius of the container */
    border-bottom-right-radius: 5px; /* Match the border radius of the container */
    z-index: -1; /* Place the pseudo-element behind the content */
}

##paypal-button-container {
     color: #faedc5 !important;
}



.card-fields-container, #card-fields-container {
    background-color: grey !important;
    border: 1px solid white;
}

#loader2 {
    border: 10px solid #f3f3f3; /* Light grey */
    border-top: 16px solid #3498db; /* Blue */
    border-radius: 50%;
    width: 60px;
    height: 60px;
    animation: spinloader 2s linear infinite;
    position: absolute; /* or absolute */
    display:block;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    z-index: 1000; /* Makes sure the loader is on top of other content */
}

@keyframes spinloader {
    0% { transform: translate(-50%, -50%) rotate(0deg); }
    100% { transform: translate(-50%, -50%) rotate(360deg); }
}       



#paynow {
   width: 100%;
    max-width: 450px;
   
    display:none;
    position: absolute;
    bottom:-500px;
    height: auto;
   
    padding-top:80px!important;
    text-align: center;
    z-index: 16 !important;
  
background-color:rgba(36, 46, 28, 0.9);  
  
    color: white !important;
    font-weight: normal;
 
    
    font-size:1rem;	
    font-family: 'Noto SansLT2', sans-serif;
    
  
    
}

#paypal-container {
    
  color: #faedc5 !important;
}

#closeupgradePzx {
    font-size:1.5rem;
    position:absolute;
   top:-30px;
    right:0;
    padding-left: 20px;
    padding-right: 20px;
    border:1px solid #dddddd;
    background: rgba(36, 46, 28, 0.9);  
  }



.applink {
    
  font-size: 0.8em;
  color: inherit;
   
}

@media (max-width: 400px) {
    #pageMeditationSpan { 
        font-size: 2.1em !important;
        width:100%;
        padding-top: 1em;
        position: fixed;
        z-index: 17 !important;
        color:#fdc416 !important;
        text-shadow: 2px 2px 1px #000000 !important;   
        line-height: 1em;	
        font-family: 'Marck Script', cursive;
        justify-content: center;
        align-items: center;
        text-align:center; 
    }
}

a {
    color: #5DADE2 !important;
}

 /* end Main CSS */

 #expand2, #expand3  {
    display: block;
    position: relative;
    color: #333333 !important;
    background: rgba(255, 255, 255, 0.8);
    line-height: 1.4em;
    font-size: 1.1rem;
    font-family: 'Noto SansLT2', sans-serif;
    text-shadow: none;
    text-align: center;
    padding: 15px;
    border-radius: 15px;
}

.expand {
    font-size: 1.6em !important;
    position: relative;
    color: #fdc416 !important;
    text-shadow: 2px 2px 1px #000000 !important;
    line-height: 1em;
    
    text-align: center;
    font-family: 'Marck Script', cursive;

}
/* Initially hidden */
#goddess, #goddess2 {
    display: none;
  }

  #goddess b, #prop b {

    font-family: 'Arial', sans-serif !important;

    margin-top: 20px !important;
    font-size: 0.7em;
    line-height: 1.2em;
    text-transform: uppercase;
    font-weight:bold;
    display: block;
    text-align: center !important;
    padding: 10px 0;
    padding-bottom: 25px;
  
    background: -webkit-linear-gradient(top, #fff 0%, rgba(255, 255, 255, 0) 100%);
    background: -moz-linear-gradient(top, #fff 0%, rgba(255, 255, 255, 0) 100%);
    background: -o-linear-gradient(top, #fff 0%, rgba(255, 255, 255, 0) 100%);
    background: linear-gradient(to bottom, #fff 0%, rgba(255, 255, 255, 0) 100%);
  
    border-top-right-radius: 20px;
    border-top-left-radius: 20px;
  
    margin-bottom: 5px;
    color:  #3d3c3c;
    text-shadow:none !important;
    
  
    /*    text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.8); */
 
    box-shadow: 0 -5px 10px -5px rgba(0, 0, 0, 0.3);
  }

#submit, #submit2 {
    font-size:0.95rem;	
    font-family: 'Noto SansLT2', sans-serif;
	text-align:center;
    position: absolute;
    color: #faedc5 !important;
    top: 80px;
	padding: 10px 7px;
	background: #314d2f; 
    border:1px solid black;

  box-shadow: 15px 72px 196px 0px rgba(0,0,0,0.97), /* Outset shadow */
              inset 13px -2px 97px 62px rgba(0,0,0,0.43); /* Inset shadow */    

    border-radius: 50px;
	-webkit-border-radius: 50px;
	
}

#submit {   
    z-index:51;
}

#submit2 {   
    z-index:1500;
}

#submit2 span {
    font-size:1.5rem;
    position:absolute;
   top:-30px;
    right:0;
    padding-left: 20px;
    padding-right: 20px;
    border:1px solid #dddddd;
    background: rgba(36, 46, 28, 0.9);  
  }
#submit span {
    font-size:1.5rem;
    position:absolute;
   top:-30px;
    right:0;
    padding-left: 20px;
    padding-right: 20px;
    border:1px solid #dddddd;
    background: rgba(36, 46, 28, 0.9);  
  }
  
#submit2 input {
font-size:20px;
width:220px;

  }
  
#submit2 button {
font-size:29px;
  }

#submit a, #submit2 a {
   color: #5DADE2 !important;
}

#menu {
    left: 0; 
    right: 0; 
    margin-left: auto; 
    margin-right: auto;
    position: absolute;
    z-index:16 !important;
    text-align:center;
   
}

#menutoggle {
   
    display: flex !important;
    flex-direction: column !important;
    justify-content: flex-end !important;
}

 #menuslide {	
    z-index:12; 
	overflow-y: auto;
    position: relative;
    top:  50%;
    left: 50%;
    transform: translate(-50%,-50%);
	text-align:center;
	z-index:8;
	display: inline;
    top:100px;
    bottom: 0;
	padding: 30px;
}

  
.left {
  display: inline-block;
}

.center {
  display: inline-block;
  margin: 0 auto;
}

#code {
  text-transform: uppercase;
  padding: 5px;
}
#codebutton {
    position:absolute;
    display:inline;
    color: white;
    padding: 7px;
    font-size: 20px !important;
    border:1px solid #999999;
    background: rgba(36, 46, 28, 0.9);  
    border-radius: 6px;
    margin:0;
    width:60px !important;
}


#slideart, #slidetitle, #slidemessage, #sparkleon, #sparkleoff, #n1, #n2, #n3, #n4, #ncancel{
    
    font-size: 0.9em !important;
    
}

.sq {
    
    width: 30px;
    height: 40px;
    position:relative;
}
.sq2 {
    
    width: 110px;
    height: 40px;
    position:relative;
    text-align:center;
    font-size:0.9rem;
    font-family: 'Noto Sans', sans-serif;
    font-weight: normal;
    margin: 0 5px;
    
     background: rgba(64, 24, 9, 0.8);  /* scheme */
	color: #faedc5 !important;
	text-shadow:0px 1px 0px #7a2a1d;   /* scheme */
    border:1px solid white; /* scheme */
    
   
	border-radius:17px;
	border:1px solid white;
	display:inline-block;
	
	padding-top:10px;
	text-decoration:none; 
    
}
.sqActive {
    
    width: 110px;
    height: 40px;
    position:relative;
    text-align:center;
    font-size:0.9rem;
    font-family: 'Noto Sans', sans-serif;
    font-weight: normal;
    margin: 0 5px;
    
     background: green;  /* scheme */
	color: #faedc5 !important;
	text-shadow:0px 1px 0px #7a2a1d;   /* scheme */
    border:1px solid white; /* scheme */
    
   
	border-radius:17px;
	border:1px solid yellow;
	display:inline-block;
	
	padding-top:10px;
	text-decoration:none; 
    
}

.fl {
   margin-top:5px;
    text-align: center;
    font-size: 1.1em;
    font-weight: bold;
    padding: 5px;
}

#setname {
    display: inline;
    font-size:20px;
    color: #000000;
    width: 135px !important;
}

.active {
    filter: brightness(100%)!important;

}

#range {
  position:relative;
  top:6px;
}

#stop:focus {     
  background-color:yellow !important;    
}
  
#start:focus {     
  background-color:yellow !important;
  color:yellow;
  text-shadow: 1px 2px black;
}

button:focus {outline:0;}
#pageAbout::-webkit-scrollbar {
  display: none !important;
}
#pageMeditation::-webkit-scrollbar {
  display: none !important;
}
#pagePrinted::-webkit-scrollbar {
  display: none !important;
}
#slidecontainer {
  display: inline-block;
}


input.ui-slider-input {
    display : none !important;
}
.ui-slider {
	width:90% !important;
	margin-top:20px !important;
	margin-bottom:20px !important;
}

.ui-dialog { z-index: 1000 !important ;}
.ui-slider-handle {
    background-color: #000000 !important;
    height:25px;
    width:25px;
}

#range:hover {
  opacity: 1;  
}
#range::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 35px;
    height: 35px;
    cursor: pointer;
    background: #000000 !important;
    border: 2px solid #fafafa;
    border-radius: 50%;
}


#rotating-item-wrapper {
  margin: auto;
  position: absolute;
  left: 0; 
  right: 0; 
  margin-left: auto; 
  margin-right: auto; 
  height: 100%;
  top: 0;
  bottom: 0;
  z-index:5;	
}
.rotating-item {
  display: none;
  margin: auto;
  position: absolute;
  left: 0; 
  right: 0; 
  margin-left: auto; 
  margin-right: auto; 
  height: 100%;
  top: 0;
  bottom: 0;
  z-index:5;	
}

 
.select {
    
    width: 330px;
    height: 35px;
	color: black;	/* scheme */
    text-align:center;
    font-size:0.9rem !important;	
	font-family: 'Noto Sans', sans-serif;

}  

/* The switch - the box around the slider */
.switch {
  position: relative;
  display: inline-block;
  width: 60px;
  height: 34px;
}

/* Hide default HTML checkbox */
.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

/* The slider */
.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 26px;
  width: 26px;
  left: 4px;
  bottom: 4px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input:checked + .slider {
  background-color: #2196F3;
}

input:focus + .slider {
  box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}

.subscription-option {
        flex: 1;
        padding: 5px;
        margin: 0;
        border: 1px solid transparent; /* Default no visible border */
        transition: border-color 0.3s ease-in-out;
        color: lightgray;
    }

    .subscription-option input[type="radio"] {
        display: none; /* Hide the radio button itself */
    }

    .subscription-option label {
        cursor: pointer;
        display: block;
        padding: 5px;
    }

    .subscription-option input[type="radio"]:checked + label {
        border: 1px solid yellow; /* Yellow border for selected option */
        background-color: #476732; /* Light background for selected option */
        text-shadow: 1px 1px 1px #000000;
       border-radius: 10px;
    }

.spinpre {
animation: fadeIn ease 5s;
-webkit-animation: fadeIn ease 5s;
}
.spin {
animation: mymove 2s 1;
-webkit-animation: mymove 2s 1;
 }
.spin2 {
animation: spin2 6s 1 cubic-bezier(0.7, 0.16, 0.35, 0.95) forwards;
    -webkit-animation: spin2 6s 1 cubic-bezier(0.7, 0.16, 0.35, 0.95) forwards; 
    
  
  
}
    
    @-webkit-keyframes spin2 {
        
  100% {-webkit-transform: rotatey(-540deg);}
}
    
     @keyframes spin2 {
  100% {transform: rotatey(-540deg);}
}

    
    

@keyframes mymove {
  100% {transform: rotatey(720deg);}
}
@-webkit-keyframes mymove {
  100% {-webkit-transform: rotatey(720deg);}
}




/*--------------------------- IN  AND OUT ----------------------------------*/
.in-and-out {
animation: in-and-out 12s infinite;
-webkit-animation: in-and-out 12s infinite; 
}
@keyframes in-and-out {
 0% {transform: scale(1);} 
 40% {transform: scale(0.9);}
 100% {transform: scale(1);}
} 
@-webkit-keyframes in-and-out {
 0% {-webkit-transform: scale(1);} 
 40% {-webkit-transform: scale(0.9);}
 100% {-webkit-transform: scale(1);}
}

/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~ FADE ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
.fade-in {
animation: fadeIn ease 3s;
-webkit-animation: fadeIn ease 3s;
}
.fade-in-fast { 
animation: fadeIn ease 2s; 
-webkit-animation: fadeIn ease 2s;
}
.fade-in-slow1 { 
animation: fadeIn ease 6s; 
-webkit-animation: fadeIn ease 6s;
}
.fade-in-slow2 { 
animation: fadeIn ease 7s; 
-webkit-animation: fadeIn ease 7s; 
}
.fade-in-slow3 { 
animation: fadeIn ease 6s; animation-delay: 9s;
-webkit-animation: fadeIn ease 6s; animation-delay: 9s;
}
.fade-out {
animation: fadeOut ease 3s;
-webkit-animation: fadeOut ease 3s;
}
.fade-out-fast {
animation: fadeOut ease 1s;
-webkit-animation: fadeOut ease 1s;
}
.fade-out-Xfast {
animation: fadeOut ease 0.5s forwards;
-webkit-animation: fadeOut ease 0.5s forwards;
}
.fade-in-Xfast {
animation: fadeIn ease 0.5s;
-webkit-animation: fadeIn ease 0.5s;
}
.fade-out-slow {
animation: fadeOut2 ease 4s;
-webkit-animation: fadeOut2 ease 4s;
}
@keyframes fadeIn {
  0% {opacity:0;}
  100% {opacity:1;}
}
@-webkit-keyframes fadeIn {
     0% {opacity:0;}
 100% {opacity:1;}
}
@keyframes fadeOut {
 0% {opacity:1;}
100% {opacity:0;}
}
@-webkit-keyframes fadeOut {
 0% {opacity:1;}
100% {opacity:0;}
}

/* ------------- SPIN INTRO  ---------------------*/

.spinIntro2 {
animation: spinIntro2 3s 1; 
-webkit-animation: spinIntro2 3s 1; 
}
@keyframes spinIntro2 { 
 0% {opacity:0;}
 100% {opacity:1;} 
}
@-webkit-keyframes spinIntro2 { 
 0% {opacity:0;}
 100% {opacity:1;} 
} 
.spinIntro3 {
animation: spinIntro3 3s 1 cubic-bezier(0.250, 0.460, 0.450, 0.940) both; 
-webkit-animation: spinIntro3 3s 1 cubic-bezier(0.250, 0.460, 0.450, 0.940) both; 
}
@keyframes spinIntro3 {
                0% {transform: scale3d(0, 0, 1) rotateY(1800deg); }
        }

        @-webkit-keyframes spinIntro3 {
                0% {-webkit-transform: scale3d(0, 0, 1) rotateY(1800deg); }
        }

.spinIntro4 {
animation: spinIntro4 3s 1  cubic-bezier(0.250, 0.460, 0.450, 0.940) forwards; 
-webkit-animation: spinIntro4 3s 1  cubic-bezier(0.250, 0.460, 0.450, 0.940) forwards; 
}

@keyframes spinIntro4 {
  0% {transform: scale(0) }
80% {transform: scale(1.1) ;}
100% {transform: scale(1) ;}
}
@-webkit-keyframes spinIntro4 {
  0% {-webkit-transform: scale(0) }
80% {-webkit-transform: scale(1.1) ;}
100% {-webkit-transform: scale(1) ;}
} 
    
.spinIntro5 {
animation: spinIntro4 1s 1  cubic-bezier(0.250, 0.460, 0.450, 0.940) both; 
-webkit-animation: spinIntro4 1s 1  cubic-bezier(0.250, 0.460, 0.450, 0.940) both; 
}


  /*------------------------------- SCALE UP 1RSINGLE ----------------------------------------  */
  /*------------------------------- SCALE UP 1RSINGLE ----------------------------------------  */
  /*------------------------------- SCALE UP 1RSINGLE ----------------------------------------  */
 
.scale-up-triangleintro {

animation: scale-up-triangleintro  2s cubic-bezier(0.250, 0.460, 0.450, 0.940) ;
-webkit-animation: scale-up-triangleintro 2s cubic-bezier(0.250, 0.460, 0.450, 0.940) ;
} 
    @-webkit-keyframes scale-up-triangleintro {

0% {-webkit-transform: scale(0) ;}
100% {-webkit-transform: scale(1);}
} 
    
  
 
 .scale-up-R1single {

animation: scale-up-R1single  2s cubic-bezier(0.250, 0.460, 0.450, 0.940) ;
-webkit-animation: scale-up-R1single 2s cubic-bezier(0.250, 0.460, 0.450, 0.940) ;
} 

 .scale-down-R1single {

animation: scale-down-R1single  2s cubic-bezier(0.250, 0.460, 0.450, 0.940)  forwards;
-webkit-animation: scale-down-R1single  2s cubic-bezier(0.250, 0.460, 0.450, 0.940)  forwards;
}  

@keyframes scale-up-R1single {

0% {-webkit-transform: scale(0.455) rotatey(180deg);}
100% {-webkit-transform: scale(1);}
} 

@keyframes scale-down-R1single {

0% {transform: scalex(-1) scale(1) rotatey(-180deg) ;}      
100% {transform:scalex(-1) scale(0.455);}
}
@-webkit-keyframes scale-down-R1single {
0% {-webkit-transform: scalex(-1) scale(1) rotatey(-180deg) ;}      
100% {-webkit-transform:scalex(-1) scale(0.455);}
}
    

 .mirror {
     -moz-transform: scalex(-1);
     -webkit-transform: scalex(-1);
     transform: scalex(-1);
}


  /*------------------------------- SCALE UP BROWSE ----------------------------------------  */
  /*------------------------------- SCALE UP BROWSE ----------------------------------------  */
  /*------------------------------- SCALE UP BROWSE ----------------------------------------  */
.scale-in {

animation: scale-in  3s cubic-bezier( 0.45, 0.61, 0.14, 1 )  forwards;
-webkit-animation: scale-in 3s cubic-bezier( 0.45, 0.61, 0.14, 1 )  forwards;
}

@keyframes scale-in { 
0% {transform:  scale(0.3) translateX(-110%);}      
100% {transform: scale(1) translateX(0%);}
}

@-webkit-keyframes scale-in {
0% {-webkit-transform: scale(0.3) translateX(-110%);}      
100% {-webkit-transform: scale(1) translateX(0%);}
}
@keyframes scale-inx { 
0% {transform: scale(0);}
100% {transform: scale(1);}
}  


@-webkit-keyframes scale-inx {
0% {-webkit-transform: scale(0);}
100% {-webkit-transform: scale(1);}
}


.scale-up-pick {

animation: scale-up-pick  1s cubic-bezier(0.250, 0.460, 0.450, 0.940) forwards;
-webkit-animation: scale-up-pick 1s cubic-bezier(0.250, 0.460, 0.450, 0.940) forwards;
} 

@keyframes scale-up-pick { 
0% {transform:  scale(0);}      
100% {transform: scale(1);}
}

@-webkit-keyframes scale-up-pick {
0% {-webkit-transform: scale(0) ;}      
100% {-webkit-transform: scale(1);}
}
    
    
 .scale-up-browse1 {

animation: scale-up-browse1  1s cubic-bezier(0.250, 0.460, 0.450, 0.940) forwards;
-webkit-animation: scale-up-browse1 1s cubic-bezier(0.250, 0.460, 0.450, 0.940) forwards;
} 

.scale-down-browse1 {

animation: scale-down-browse1  1s cubic-bezier(0.250, 0.460, 0.450, 0.940) ;
-webkit-animation: scale-down-browse1  1s cubic-bezier(0.250, 0.460, 0.450, 0.940) ;
}  
    
    
 .scale-up-browse2 {

animation: scale-up-browse2  1s cubic-bezier(0.250, 0.460, 0.450, 0.940) forwards;
-webkit-animation: scale-up-browse2 1s cubic-bezier(0.250, 0.460, 0.450, 0.940) forwards;
} 

.scale-down-browse2 {

animation: scale-down-browse2  1s cubic-bezier(0.250, 0.460, 0.450, 0.940) ;
-webkit-animation: scale-down-browse2  1s cubic-bezier(0.250, 0.460, 0.450, 0.940) ;
}  
    
    
  .scale-up-browse3 {

animation: scale-up-browse3  1s cubic-bezier(0.250, 0.460, 0.450, 0.940) forwards;
-webkit-animation: scale-up-browse3 1s cubic-bezier(0.250, 0.460, 0.450, 0.940) forwards;
} 

.scale-down-browse3 {

animation: scale-down-browse3  1s cubic-bezier(0.250, 0.460, 0.450, 0.940) ;
-webkit-animation: scale-down-browse3  1s cubic-bezier(0.250, 0.460, 0.450, 0.940) ;
}     
  
    
 .scale-up-browse4 {

animation: scale-up-browse4  1s cubic-bezier(0.250, 0.460, 0.450, 0.940) forwards;
-webkit-animation: scale-up-browse4 1s cubic-bezier(0.250, 0.460, 0.450, 0.940) forwards;
} 

.scale-down-browse4 {

animation: scale-down-browse4  1s cubic-bezier(0.250, 0.460, 0.450, 0.940) ;
-webkit-animation: scale-down-browse4  1s cubic-bezier(0.250, 0.460, 0.450, 0.940) ;
}    
    
     .scale-up-browse5 {

animation: scale-up-browse5  1s cubic-bezier(0.250, 0.460, 0.450, 0.940) forwards;
-webkit-animation: scale-up-browse5 1s cubic-bezier(0.250, 0.460, 0.450, 0.940) forwards;
} 

.scale-down-browse5 {

animation: scale-down-browse5  1s cubic-bezier(0.250, 0.460, 0.450, 0.940) ;
-webkit-animation: scale-down-browse5  1s cubic-bezier(0.250, 0.460, 0.450, 0.940) ;
}     
      
      
    
    
    
    

.scale-up-browse {

animation: scale-up-browse  1s cubic-bezier(0.250, 0.460, 0.450, 0.940) forwards;
-webkit-animation: scale-up-browse 1s cubic-bezier(0.250, 0.460, 0.450, 0.940) forwards;
} 

.scale-down-browse {

animation: scale-down-browse  1s cubic-bezier(0.250, 0.460, 0.450, 0.940) ;
-webkit-animation: scale-down-browse  1s cubic-bezier(0.250, 0.460, 0.450, 0.940) ;
}  
    
.scale-up-note {
animation: scale-up-note  4s cubic-bezier(0.250, 0.460, 0.450, 0.940) forwards;
-webkit-animation: scale-up-note 4s cubic-bezier(0.250, 0.460, 0.450, 0.940) forwards;
}      
 .scale-down-note {
animation: scale-down-note  1s cubic-bezier(0.250, 0.460, 0.450, 0.940) forwards;
-webkit-animation: scale-down-note 1s cubic-bezier(0.250, 0.460, 0.450, 0.940) forwards;
}  
    
 .scale-up-note-fast {
animation: scale-up-note  0.5s cubic-bezier(0.250, 0.460, 0.450, 0.940) forwards;
-webkit-animation: scale-up-note 1s cubic-bezier(0.250, 0.460, 0.450, 0.940) forwards;
}      
 .scale-down-note-fast {
animation: scale-down-note  0.5s cubic-bezier(0.250, 0.460, 0.450, 0.940) forwards;
-webkit-animation: scale-down-note 1s cubic-bezier(0.250, 0.460, 0.450, 0.940) forwards;
}   
    
    
    
    
@keyframes scale-up-note { 
0% {-webkit-transform: scale(0)} 
100% {-webkit-transform: scale(1);}
}
@keyframes scale-down-note { 
0% {-webkit-transform: scale(1)}   
100% {-webkit-transform: scale(0);}
}
    
 @keyframes scale-up-browse { 
0% {transform:  scale(0.455) ;}      
100% {transform: scale(1);}
}

@-webkit-keyframes scale-up-browse {
0% {-webkit-transform: scale(0.455) ;}      
100% {-webkit-transform: scale(1);}
}



@keyframes scale-down-browse { 
0% {transform:  scale(1) ;}      
100% {transform: scale(0.455);}
}

@-webkit-keyframes scale-down-browse {
0% {-webkit-transform: scale(1) ;}      
100% {-webkit-transform: scale(0.455);}
}
    
    
    
    
@keyframes scale-up-browse1 { 
0% {transform:  scale(0.3) translateX(-110%);}      
100% {transform: scale(1) translateX(0%);}
}

@-webkit-keyframes scale-up-browse1 {
0% {-webkit-transform: scale(0.3) translateX(-110%);}      
100% {-webkit-transform: scale(1) translateX(0%);}
}



@keyframes scale-down-browse1 { 
0% {transform:  scale(1) translateX(0%);} 
 70% {opacity:1;}   
100% {transform: scale(0.3) translateX(-110%); opacity: 0;}
}

@-webkit-keyframes scale-down-browse1 {
0% {-webkit-transform: scale(1) translateX(0%);}  
 70% {opacity:1;}    
100% {-webkit-transform: scale(0.3) translateX(-110%); opacity: 0;}
}  
    
@keyframes scale-up-browse2 { 
0% {transform:  scale(0.3) ;}      
100% {transform: scale(1);}
}

@-webkit-keyframes scale-up-browse2 {
0% {-webkit-transform: scale(0.3) ;}      
100% {-webkit-transform: scale(1);}
}



@keyframes scale-down-browse2 { 
0% {transform:  scale(1) ;} 
 70% {opacity:1;}    
100% {transform: scale(0.3); opacity: 0;}
}

@-webkit-keyframes scale-down-browse2 {
0% {-webkit-transform: scale(1) ;} 
  70% {opacity:1;}   
100% {-webkit-transform: scale(0.3); opacity: 0;}
}   
    
    

 @keyframes scale-up-browse3 { 
0% {transform:  scale(0.36) translateX(110%);}      
100% {transform: scale(1) translateX(0%);}
}

@-webkit-keyframes scale-up-browse3 {
0% {-webkit-transform: scale(0.3) translateX(110%);}      
100% {-webkit-transform: scale(1) translateX(0%);}
}



@keyframes scale-down-browse3 { 
0% {transform:  scale(1) translateX(0%);}  
  70% {opacity:1;}   
100% {transform: scale(0.3) translateX(110%); opacity: 0;}
}

@-webkit-keyframes scale-down-browse3 {
0% {-webkit-transform: scale(1) translateX(0%);} 
 70% {opacity:1;}   
100% {-webkit-transform: scale(0.3) translateX(110%); opacity: 0;}
} 
    
    
    
    
@keyframes scale-up-browse4 { 
0% {transform:  scale(0.3) translateY(-110%);}      
100% {transform: scale(1) translateY(0%);}
}

@-webkit-keyframes scale-up-browse4 {
0% {-webkit-transform: scale(0.3) translateY(-110%);}      
100% {-webkit-transform: scale(1) translateY(0%);}
}



@keyframes scale-down-browse4 { 
0% {transform:  scale(1) translateY(0%);}   
    70% {opacity:1;}
100% {transform: scale(0.3) translateY(-100%); opacity:0;}
}

@-webkit-keyframes scale-down-browse4 {
0% {-webkit-transform: scale(1) translateY(0%);}  
    70% {opacity:1;}
100% {-webkit-transform: scale(0.3) translateY(-100%); opacity:0;}
} 
    
    
    
    
 @keyframes scale-up-browse5 { 
0% {transform:  scale(0.3) translateY(100%);}      
100% {transform: scale(1) translateY(0%);}
}

@-webkit-keyframes scale-up-browse5 {
0% {-webkit-transform: scale(0.3) translateY(100%);}      
100% {-webkit-transform: scale(1) translateY(0%);}
}



@keyframes scale-down-browse5 { 
0% {
    transform:  scale(1) translateY(0%);
    } 
70% {opacity:1;}
100% {
    transform: scale(0.3) translateY(100%);
     opacity: 0;
    }
}

@-webkit-keyframes scale-down-browse5 {
0% {
    -webkit-transform: scale(1) translateY(0%);
    } 
70% {opacity:1;}  
    
100% {
    -webkit-transform: scale(0.3) translateY(100%);
     opacity: 0;
    }
}    
    
    
    
    
    


    
/* --------------------------------------------------------------*/ 


.slide-top-slow {
animation: slide-top 1s cubic-bezier(0.250, 0.460, 0.450, 0.940) reverse forwards;
-webkit-animation: slide-top 1s cubic-bezier(0.250, 0.460, 0.450, 0.940) reverse forwards;
}
.slide-back { 
animation: slide-back 0.2s cubic-bezier(0.250, 0.460, 0.450, 0.940) reverse forwards;
-webkit-animation: slide-back 0.2s cubic-bezier(0.250, 0.460, 0.450, 0.940) reverse forwards;
}
.slide-back-slow { 
animation: slide-back 1s cubic-bezier(0.250, 0.460, 0.450, 0.940) reverse forwards;
-webkit-animation: slide-back 1s cubic-bezier(0.250, 0.460, 0.450, 0.940) reverse forwards;
}

.slide-up-bigmenu {
animation: slide-up-big 0.5s cubic-bezier(0.250, 0.460, 0.450, 0.940) reverse forwards;
-webkit-animation: slide-up-big 0.5s cubic-bezier(0.250, 0.460, 0.450, 0.940) reverse forwards;
}
.slide-down-bigmenu { 
animation: slide-down-big 0.2s cubic-bezier(0.250, 0.460, 0.450, 0.940) reverse forwards;
-webkit-animation: slide-down-big 0.2s cubic-bezier(0.250, 0.460, 0.450, 0.940) reverse forwards;
}

.slide-up-bigmenu2 {
animation: slide-up-big2 0.5s cubic-bezier(0.250, 0.460, 0.450, 0.940) reverse forwards;
-webkit-animation: slide-up-big2 0.5s cubic-bezier(0.250, 0.460, 0.450, 0.940) reverse forwards;
}
.slide-down-bigmenu2 { 
animation: slide-down-big2 0.2s cubic-bezier(0.250, 0.460, 0.450, 0.940) reverse forwards;
-webkit-animation: slide-down-big2 0.2s cubic-bezier(0.250, 0.460, 0.450, 0.940) reverse forwards;
}
    
.slide-box {
animation: slide-box 0.5s cubic-bezier(0.250, 0.460, 0.450, 0.940) forwards;
-webkit-animation: slide-box 0.5s cubic-bezier(0.250, 0.460, 0.450, 0.940) forwards;
} 
    .slide-box-back {
animation: slide-box 0.5s cubic-bezier(0.250, 0.460, 0.450, 0.940) reverse forwards;
-webkit-animation: slide-box 0.5s cubic-bezier(0.250, 0.460, 0.450, 0.940) reverse forwards;
} 


@keyframes slide-box {
  0% {
    /* Start from the bottom of the page. This might need adjusting based on your exact needs */
    transform: translateY(0);
  }
  100% {
    /* End halfway up from the bottom of the page */
    transform: translateY(-500px);
  }
}  
    
    @keyframes slide-box-back {
  0% {
    /* Start from the bottom of the page. This might need adjusting based on your exact needs */
    transform: translateY(200px);
  }
  100% {
    /* End halfway up from the bottom of the page */
    transform: translateY(-200px);
  }
}  
    
@keyframes slide-back {
 0% {transform: translateY(0);}
 100% {transform: translateY(105px);}
}
@-webkit-keyframes slide-back {
 0% {-webkit-transform: translateY(0);}
 100% {-webkit-transform: translateY(105px);}
}

@keyframes slide-up-big {
 0% {transform: translateY(566px);}
 100% {transform: translateY(0);}
}
@-webkit-keyframes slide-up-big {
 0% {-webkit-transform: translateY(566px);}
 100% {-webkit-transform: translateY(0);}
}
@keyframes slide-down-big {
 0% {transform: translateY(0);}
 100% {transform: translateY(566px);}
}
@-webkit-keyframes slide-down-big {
 0% {-webkit-transform: translateY(0);}
 100% {-webkit-transform: translateY(566px);}
}


@keyframes slide-up-big2 {
 0% {transform: translateY(512px);}
 100% {transform: translateY(0);}
}
@-webkit-keyframes slide-up-big2 {
 0% {-webkit-transform: translateY(512px);}
 100% {-webkit-transform: translateY(0);}
}
@keyframes slide-down-big2 {
 0% {transform: translateY(0);}
 100% {transform: translateY(512px);}
}
@-webkit-keyframes slide-down-big2 {
 0% {-webkit-transform: translateY(0);}
 100% {-webkit-transform: translateY(512px);}
}


/* color scheme buttons */
    
#buttonColor1 { background: linear-gradient(0deg, rgba(0,0,0,1) 0%, rgba(0,0,0,1) 100%);}
#buttonColor2 { background: linear-gradient(0deg, rgba(255,255,255,1) 0%, rgba(255,255,255,1) 100%);}    
#buttonColor3 { background: linear-gradient(0deg, rgba(163,144,5,1) 0%, rgba(163,144,5,1) 100%); }   
#buttonColor4 { background: linear-gradient(0deg, rgba(155,5,163,1) 0%, rgba(155,5,163,1) 100%);}
#buttonColor5 { background: linear-gradient(0deg, rgba(5,44,163,1) 0%, rgba(5,44,163,1) 100%); }
   
  
.sparkle {
    position: absolute;
    width: 3px;
    height: 3px;
    border-radius: 50%;
    box-shadow: 0 0 10px 4px var(--sparkle-color, yellow); /* Default to yellow if not set */
    opacity: 0;
    background-color: var(--sparkle-color); /* Use the color variable */
}

@keyframes sparkle {
    0%, 100% { opacity: 0; }
    50% { opacity: 1; }
}

@keyframes move {
    0%, 100% {
        top: var(--start-top);
        left: var(--start-left);
    }
    50% {
        top: var(--end-top);
        left: var(--end-left);
    }
}   
    
  